import { MenusInfo } from '../components/types/MenusInfo';
export declare const useUserInfoStore: import('pinia').StoreDefinition<"userInfo", Pick<{
    userInfo: import('vue').Ref<any, any>;
    pageButtonPermission: import('vue').Ref<any, any>;
    permissionMenus: import('vue').Ref<any, any>;
    dynamicMenus: import('vue').Ref<any, any>;
    showLoginDialog: () => void;
    loginDialogVisible: import('vue').Ref<boolean, boolean>;
    closeLoginDialog: () => void;
    login: (data: any) => void;
    logout: () => void;
    addPermissionMenus: (data: any) => void;
    addPageButtonPermission: (data: any) => void;
    pushPageButtonPermission: (menuId: string, data: any) => void;
    addDynamicMenus: (data: MenusInfo) => void;
}, "userInfo" | "pageButtonPermission" | "permissionMenus" | "dynamicMenus" | "loginDialogVisible">, Pick<{
    userInfo: import('vue').Ref<any, any>;
    pageButtonPermission: import('vue').Ref<any, any>;
    permissionMenus: import('vue').Ref<any, any>;
    dynamicMenus: import('vue').Ref<any, any>;
    showLoginDialog: () => void;
    loginDialogVisible: import('vue').Ref<boolean, boolean>;
    closeLoginDialog: () => void;
    login: (data: any) => void;
    logout: () => void;
    addPermissionMenus: (data: any) => void;
    addPageButtonPermission: (data: any) => void;
    pushPageButtonPermission: (menuId: string, data: any) => void;
    addDynamicMenus: (data: MenusInfo) => void;
}, never>, Pick<{
    userInfo: import('vue').Ref<any, any>;
    pageButtonPermission: import('vue').Ref<any, any>;
    permissionMenus: import('vue').Ref<any, any>;
    dynamicMenus: import('vue').Ref<any, any>;
    showLoginDialog: () => void;
    loginDialogVisible: import('vue').Ref<boolean, boolean>;
    closeLoginDialog: () => void;
    login: (data: any) => void;
    logout: () => void;
    addPermissionMenus: (data: any) => void;
    addPageButtonPermission: (data: any) => void;
    pushPageButtonPermission: (menuId: string, data: any) => void;
    addDynamicMenus: (data: MenusInfo) => void;
}, "showLoginDialog" | "closeLoginDialog" | "login" | "logout" | "addPermissionMenus" | "addPageButtonPermission" | "pushPageButtonPermission" | "addDynamicMenus">>;
